package com.css.simulation.resource.algorithm.service;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.Map;


public interface AlgorithmService {

    ResponseBodyVO addOrUpdate(AlgorithmParameter param) throws IOException;

    ResponseBodyVO selectAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO selectAlgoPlatformList(AlgorithmParameter param);

    ResponseBodyVO deleteByid(AlgorithmParameter param);

    ResponseBodyVO selectDetailsById(AlgorithmParameter param);

    ResponseBodyVO isAlgorithmRunning(AlgorithmParameter param);

    ResponseBodyVO selectSharedAlgorithmList(AlgorithmParameter param);

    ResponseBodyVO shareAlgorithm(AlgorithmParameter param);

    ResponseBodyVO testConnection(AlgorithmParameter param);

    Map selectDetailsBySy();
}
