package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneNaturalParam;
import api.common.pojo.po.scene.SceneNaturalPO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface SceneNaturalMapper {

    void saveSceneNatural(SceneNaturalPO params);

    List<SceneNaturalPO> querySceneNaturalList(SceneNaturalParam params);
    List<SceneNaturalPO> querySceneNaturalListByBqAndXlk(Map<String,SceneNaturalParam> map);
    List<SceneNaturalPO> querySceneNaturalListByBq(Map<String,SceneNaturalParam> map);

    void deleteSceneNatural(SceneNaturalPO params);

    List<SceneNaturalPO> querySceneNaturaByName(SceneNaturalParam params);

    Integer querySceneNumBySy(SceneNaturalParam params);

}
