package com.css.simulation.resource.system.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.vo.system.UserInfoVO;
import com.css.simulation.resource.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;


@Controller()
@RequestMapping("/user")
public class UserCtrl {

    @Autowired
    UserService userService;

    /**
     * 获取当前登录人的菜单列表
     */
    @RequestMapping("/getUserInfo")
    @ResponseBody
    public ResponseBodyVO getUserInfo() {
        ResponseBodyVO<UserInfoVO> response = new ResponseBodyVO<UserInfoVO>(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(userService.getUserInfo());
        return response;
    }
}
