package com.css.simulation.resource.system.service;

import api.common.pojo.vo.system.UserInfoVO;
import com.css.simulation.resource.common.utils.AuthUtil;
import com.css.simulation.resource.system.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class UserService {

    @Autowired
    UserMapper userMapper;


    public UserInfoVO getUserInfo() {
        String userId = AuthUtil.getCurrentUserId();
        UserInfoVO userInfoVO = userMapper.getUserInfo(userId);
        return userInfoVO;
    }
}
