package api.common.pojo.vo.scene;

import lombok.*;

import java.io.Serializable;
import java.util.List;

/**
 * 测试场景包
 */
@EqualsAndHashCode()
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ScenePackageSublistVO implements Serializable {

    private String id  ;//主键Id
    private String sublistName ; //指标名称
    private String weight;//权重
    private String ruleName;//打分规则名称
    private String packageAndRules;//关联打分规则Id
    private String sceneNaturalIds;//关联自然场景ids
    private String sceneTrafficIds;//关联交通事故场景ids
    private String sceneStatueIds;//关联标准法规ids
    private String sceneGeneralizationIds;//关联泛化场景ids
    private Integer sceneNum=0;//场景数量
    private String parentId;//父节点id
    private String rootId;//根id
    private int packageLevel;//级别
    private String remarks;//备注
    private int seq;//在当前层级下的顺序，由小到大
    private List<ScenePackageSublistVO>  children;
    private String treeNode;//模板预览node节点
}