package com.css.simulation.resource.algorithm.mapper;

import api.common.pojo.po.algorithm.AlgorithmPO;
import api.common.pojo.vo.algorithm.RunningProjectVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import api.common.pojo.vo.algorithm.AlgorithmVO;
import api.common.pojo.param.algorithm.AlgorithmParameter;

import java.util.List;

@Mapper
@Repository
public interface AlgorithmMapper {

    List<AlgorithmVO> selectAlgorithmList(AlgorithmParameter param);

    int add(AlgorithmPO po);

    int update(AlgorithmPO po);

    int deleteByid(AlgorithmParameter param);

    AlgorithmPO selectDetailsById(AlgorithmParameter param);

    List<AlgorithmPO> selectAlgorithmName(AlgorithmParameter param);

    List<AlgorithmPO> selectSharedAlgorithmName(@Param("algorithmName") String algorithmName);

    List<RunningProjectVO> selectRunningProject(@Param("id") String id);

    List<AlgorithmVO> selectSharedAlgorithmList(AlgorithmParameter param);

    int  selectDetailsBySy(AlgorithmParameter param);
}
