package com.css.simulation.resource.common.utils;

import com.css.simulation.resource.common.oauth.MyUserDetails;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;

/**
 * 认证信息工具类
 */
public class AuthUtil {

    /**
     * 获取当前登录人id
     */
    public static String getCurrentUserId(){
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        MyUserDetails userDetails = (MyUserDetails)authentication.getPrincipal();
        String userId = userDetails.getId();
        return userId;
    }
}
