package com.css.simulation.resource.model.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import com.css.simulation.resource.model.service.VehicleTempService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("/vehicleTemp")
public class VehicleTempCtrl {

    @Autowired
    VehicleTempService vehicleTempService;

    /**
     * 获取车辆模型下拉
     */
    @RequestMapping("/getVehicleTempTree")
    @ResponseBody
    public ResponseBodyVO getVehicleList(){
        ResponseBodyVO response = new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(vehicleTempService.getVehicleTempTree());
        return response;
    }
}
