package com.css.simulation.resource.scene.mapper;

import api.common.pojo.po.scene.SystemUserScenePO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface SystemUserSceneMapper {

    void saveSystemUserScene(List<SystemUserScenePO> list);

    List<SystemUserScenePO> querySystemUserScene(SystemUserScenePO po);

    //场景列表展示时使用
    List<String> querySystemUserSceneByType(SystemUserScenePO po);

    //根据用户id删除
    void deleteSystemUserSceneByUserId(SystemUserScenePO po);
    //场景删除时关联删除关系表
    void deleteSystemUserSceneBySceneId(SystemUserScenePO po);

}
