package com.css.simulation.resource.system.service;

import api.common.pojo.vo.system.MenuVO;
import api.common.util.ObjectUtil;
import com.css.simulation.resource.common.utils.AuthUtil;
import com.css.simulation.resource.system.mapper.MenuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MenuService {

    @Autowired
    MenuMapper menuMapper;

    public List<MenuVO> getMenus() {
        String userId = AuthUtil.getCurrentUserId();
        List<MenuVO> menus = menuMapper.getMenus(userId);
        //List<MenuVO> treeList = ObjectUtil.listToTree(menus, "0", MenuVO::getId, MenuVO::getParentId, MenuVO::getChildren, MenuVO::setChildren);
        List<MenuVO> menuVOS = ObjectUtil.listToTree(menus);//注解方式转tree
        return menuVOS;
    }
}
